Bug 1294249 - [abrt] xfce4-panel: _gtk_widget_run_controllers(): wrapper-2.0 killed by SIGSEGV
[abrt] xfce4-panel: _gtk_widget_run_controllers(): wrapper-2.0 killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1278746
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:23e6899df87d7d5e04c7d1a50a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 14:13 EST by Lukas Slebodnik
Modified: 2016-01-26 18:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 18:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.67 KB, text/plain)
2015-12-25 14:13 EST, Lukas Slebodnik
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-25 14:13 EST, Lukas Slebodnik
no flags Details
File: core_backtrace (5.17 KB, text/plain)
2015-12-25 14:13 EST, Lukas Slebodnik
no flags Details
File: dso_list (9.51 KB, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: environ (1.05 KB, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: maps (46.12 KB, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: mountinfo (3.17 KB, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: open_fds (776 bytes, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-25 14:14 EST, Lukas Slebodnik
no flags Details
Output from valgrind (39.28 KB, text/plain)
2016-01-26 07:54 EST, Lukas Slebodnik
no flags Details
xfce-panel valgrind output (54.87 KB, text/plain)
2016-01-26 08:03 EST, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2015-12-25 14:13:47 EST
Description of problem:
I 've just changed display brightness

Version-Release number of selected component:
xfce4-panel-4.12.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce4/panel/plugins/libxfce4powermanager.so 17 23080279 power-manager-plugin 'Power Manager Plugin' 'Display the battery levels of your devices and control the brightness of your display' ''
crash_function: _gtk_widget_run_controllers
executable:     /usr/lib64/xfce4/panel/wrapper-2.0
global_pid:     4251
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_widget_run_controllers at gtkwidget.c:7304
 #1 scale_menu_item_grab_broken at ../scalemenuitem.c:324
 #2 scale_menu_item_button_release_event at ../scalemenuitem.c:281
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 gtk_widget_event_internal at gtkwidget.c:7692
 #8 propagate_event_up at gtkmain.c:2517
 #9 propagate_event at gtkmain.c:2619
 #10 gtk_main_do_event at gtkmain.c:1850
 #16 gtk_main at gtkmain.c:1241
Comment 1 Lukas Slebodnik 2015-12-25 14:13:54 EST
Created attachment 1109437 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2015-12-25 14:13:56 EST
Created attachment 1109438 [details]
File: cgroup
Comment 3 Lukas Slebodnik 2015-12-25 14:13:58 EST
Created attachment 1109439 [details]
File: core_backtrace
Comment 4 Lukas Slebodnik 2015-12-25 14:14:00 EST
Created attachment 1109440 [details]
File: dso_list
Comment 5 Lukas Slebodnik 2015-12-25 14:14:02 EST
Created attachment 1109441 [details]
File: environ
Comment 6 Lukas Slebodnik 2015-12-25 14:14:04 EST
Created attachment 1109442 [details]
File: exploitable
Comment 7 Lukas Slebodnik 2015-12-25 14:14:05 EST
Created attachment 1109443 [details]
File: limits
Comment 8 Lukas Slebodnik 2015-12-25 14:14:08 EST
Created attachment 1109444 [details]
File: maps
Comment 9 Lukas Slebodnik 2015-12-25 14:14:10 EST
Created attachment 1109445 [details]
File: mountinfo
Comment 10 Lukas Slebodnik 2015-12-25 14:14:12 EST
Created attachment 1109446 [details]
File: namespaces
Comment 11 Lukas Slebodnik 2015-12-25 14:14:14 EST
Created attachment 1109447 [details]
File: open_fds
Comment 12 Lukas Slebodnik 2015-12-25 14:14:15 EST
Created attachment 1109448 [details]
File: proc_pid_status
Comment 13 Lukas Slebodnik 2015-12-25 14:14:17 EST
Created attachment 1109449 [details]
File: var_log_messages
Comment 14 Kevin Fenzi 2015-12-26 12:36:06 EST
Did you by chance change it to 0 or 100% ?
Comment 15 Lukas Slebodnik 2015-12-28 15:08:02 EST
(In reply to Kevin Fenzi from comment #14)
> Did you by chance change it to 0 or 100% ?

It needn't be 0 or 100%
I'm able to reproduce when I click somewhere to slider instead of moving with circle. But sometime I'm able to reproduce even with moving a circle on slider.

If you nedd any additional data abour hardware or something else I will be glad to provide them.
Comment 16 Lukas Slebodnik 2016-01-02 07:42:37 EST
If you need a coredump I can provide it.
Comment 17 Lukas Slebodnik 2016-01-26 07:54 EST
Created attachment 1118472 [details]
Output from valgrind

This seems to be a de-reference of NULL pointer.
Comment 18 Lukas Slebodnik 2016-01-26 07:55:32 EST
sh$ rpm -q gtk3 xfce4-panel xfce4-power-manager
gtk3-3.18.6-1.fc23.x86_64
xfce4-panel-4.12.0-4.fc23.x86_64
xfce4-power-manager-1.5.2-1.fc23.x86_64
Comment 19 Lukas Slebodnik 2016-01-26 07:56:07 EST
Does it help?
or do you need to see a coredump?
Comment 20 Lukas Slebodnik 2016-01-26 08:03 EST
Created attachment 1118473 [details]
xfce-panel valgrind output

I can also see a use after free in xfce-panel but it should not be related.
It's a different process.
Comment 21 Kevin Fenzi 2016-01-26 13:19:19 EST
Can you try this scratch build: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=12682519

from bug 1278746

and see if the problem persists?
Comment 22 Lukas Slebodnik 2016-01-26 14:16:54 EST
It works for me and there isn't any valgrind error.
You can close this bug as duplicate.
Comment 23 Kevin Fenzi 2016-01-26 18:14:27 EST

*** This bug has been marked as a duplicate of bug 1278746 ***

Note You need to log in before you can comment on or make changes to this bug.